Summary:        A library providing Unicode character names and annotations
Name:           libuninameslist
Version:        20211114
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/fontforge/libuninameslist
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  autoconf automake libtool make

%description
libuninameslist provides applications with access to Unicode name and annotation
data from the official Unicode Character Database.

%package        devel
Summary:        Header files and static libraries for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains header files and static libraries for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -i
automake --foreign -Wall
%configure --disable-static
%make_build


%install
%make_install incdir=%{buildroot}%{_includedir}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files
%license LICENSE
%doc ChangeLog README.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libuninameslist.pc
%{_mandir}/man3/libuninameslist.3.gz

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211114-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211114-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Shuo Wang <abushwang@tencent.com> - 20211114-1
- initial build
